diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/helper/csv-reader.h ns-3.44/src/core/helper/csv-reader.h
--- ns-3.43/src/core/helper/csv-reader.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/helper/csv-reader.h	2025-03-09 16:55:49.355371000 -0700
@@ -17,8 +17,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup csvreader
+ * @file
+ * @ingroup csvreader
  *
  * ns3::CsvReader declaration
  *
@@ -27,14 +27,14 @@
 {
 
 /**
- * \ingroup core
- * \defgroup csvreader CSV File Reader
+ * @ingroup core
+ * @defgroup csvreader CSV File Reader
  *
  * A way to extract data from simple csv files.
  */
 
 /**
- * \ingroup csvreader
+ * @ingroup csvreader
  *
  * Provides functions for parsing and extracting data from
  * Comma Separated Value (CSV) formatted text files.
@@ -43,7 +43,7 @@
  * In particular it is possible to set the delimiting character at construction,
  * enabling parsing of tab-delimited streams or other formats with delimiters.
  *
- * \note Excel may generate "CSV" files with either ',' or ';' delimiter
+ * @note Excel may generate "CSV" files with either ',' or ';' delimiter
  * depending on the locale: if ',' is the decimal mark then ';' is the list
  * separator and used to read/write "CSV" files.
  *
@@ -52,7 +52,7 @@
  * to extract specific values from the row.
  *
  * For example:
- * \code
+ * @code
  *   CsvReader csv (filePath);
  *   while (csv.FetchNextRow ())
  *     {
@@ -76,11 +76,11 @@
  *       // Do something with values
  *
  *     }  // while FetchNextRow
- * \endcode
+ * @endcode
  *
  * As another example, supposing we need a vector from each row,
  * the middle of the previous example would become:
- * \code
+ * @code
  *       std::vector<double> v (n);
  *       bool ok = true;
  *       for (std::size_t i = 0; i < v.size (); ++i)
@@ -88,7 +88,7 @@
  *           ok |= csv.GetValue (i, v[i]);
  *         }
  *       if (!ok) ...
- * \endcode
+ * @endcode
  *
  *
  * File Format
@@ -170,52 +170,52 @@
  *
  * Examples
  * --------
- * \par Example 1: Basic
- * \code
+ * @par Example 1: Basic
+ * @code
  *     # Column 1: Product
  *     # Column 2: Price
  *     widget, 12.5
- * \endcode
+ * @endcode
  *
- * \par Example 2: Comment at end of line
- * \code
+ * @par Example 2: Comment at end of line
+ * @code
  *     # Column 1: Product
  *     # Column 2: Price
  *     broken widget, 12.5 # this widget is broken
- * \endcode
+ * @endcode
  *
- * \par Example 3: Delimiter in double quotes
- * \code
+ * @par Example 3: Delimiter in double quotes
+ * @code
  *     # Column 1: Product
  *     # Column 2: Price
  *     # Column 3: Count
  *     # Column 4: Date
  *     widget, 12.5, 100, "November 6, 2018"
- * \endcode
+ * @endcode
  *
- * \par # Example 4: Hash character in double quotes
- * \code
+ * @par # Example 4: Hash character in double quotes
+ * @code
  *     # Column 1: Key
  *     # Column 2: Value
  *     # Column 3: Description
  *     count, 5, "# of widgets currently in stock"
- * \endcode
+ * @endcode
  *
- * \par Example 5: Extra whitespace
- * \code
+ * @par Example 5: Extra whitespace
+ * @code
  *     # Column 1: Key
  *     # Column 2: Value
  *     # Column 3: Description
  *     count     ,     5    ,"# of widgets in stock"
- * \endcode
+ * @endcode
  *
- * \par Example 6: Escaped quotes
- * \code
+ * @par Example 6: Escaped quotes
+ * @code
  *     # Column 1: Key
  *     # Column 2: Description
  *     # The value returned for Column 2 will be: String with "embedded" quotes
  *     foo, "String with ""embedded"" quotes"
- * \endcode
+ * @endcode
  */
 class CsvReader
 {
@@ -226,8 +226,8 @@
      * Opens the file specified in the filepath argument and
      * reads data from it.
      *
-     * \param filepath Path to a file containing CSV data.
-     * \param delimiter Character used to separate fields in the data file.
+     * @param filepath Path to a file containing CSV data.
+     * @param delimiter Character used to separate fields in the data file.
      */
     CsvReader(const std::string& filepath, char delimiter = ',');
 
@@ -236,8 +236,8 @@
      *
      * Reads csv data from the supplied input stream.
      *
-     * \param stream Input stream containing csv data.
-     * \param delimiter Character used to separate fields in the data stream.
+     * @param stream Input stream containing csv data.
+     * @param delimiter Character used to separate fields in the data stream.
      */
     CsvReader(std::istream& stream, char delimiter = ',');
 
@@ -249,21 +249,21 @@
     /**
      * Returns the number of columns in the csv data.
      *
-     * \return Number of columns
+     * @return Number of columns
      */
     std::size_t ColumnCount() const;
 
     /**
      * The number of lines that have been read.
      *
-     * \return The number of lines that have been read.
+     * @return The number of lines that have been read.
      */
     std::size_t RowNumber() const;
 
     /**
      * Returns the delimiter character specified during object construction.
      *
-     * \return Character used as the column separator.
+     * @return Character used as the column separator.
      */
     char Delimiter() const;
 
@@ -272,7 +272,7 @@
      * The read data is stored in a cache which is accessed by the
      * GetValue functions to extract fields from the data.
      *
-     * \return \c true if a line was read successfully or \c false if the
+     * @return \c true if a line was read successfully or \c false if the
      * read failed or reached the end of the file.
      */
     bool FetchNextRow();
@@ -281,12 +281,12 @@
      * Attempt to convert from the string data in the specified column
      * to the specified data type.
      *
-     * \tparam T The data type of the output variable.
+     * @tparam T The data type of the output variable.
      *
-     * \param [in] columnIndex Index of the column to fetch.
-     * \param [out] value Location where the converted data will be stored.
+     * @param [in] columnIndex Index of the column to fetch.
+     * @param [out] value Location where the converted data will be stored.
      *
-     * \return \c true if the specified column has data and the data
+     * @return \c true if the specified column has data and the data
      * was converted to the specified data type.
      */
     template <class T>
@@ -300,7 +300,7 @@
      * - Comment
      * - Quoted empty string `""`
      *
-     * \returns \c true if the input row is a blank line.
+     * @returns \c true if the input row is a blank line.
      */
     bool IsBlankRow() const;
 
@@ -309,10 +309,10 @@
      * Attempt to convert from the string data stored at the specified column
      * index into the specified type.
      *
-     * \param input [in] String value to be converted.
-     * \param value [out] Location where the converted value will be stored.
+     * @param input [in] String value to be converted.
+     * @param value [out] Location where the converted value will be stored.
      *
-     * \return \c true if the column exists and the conversion succeeded,
+     * @return \c true if the column exists and the conversion succeeded,
      * \c false otherwise.
      */
     /** @{ */
@@ -346,8 +346,8 @@
     /**
      * Returns \c true if the supplied character matches the delimiter.
      *
-     * \param c Character to check.
-     * \return \c true if \pname{c} is the delimiter character,
+     * @param c Character to check.
+     * @return \c true if \pname{c} is the delimiter character,
      * \c false otherwise.
      */
     bool IsDelimiter(char c) const;
@@ -355,16 +355,16 @@
     /**
      * Scans the string and splits it into individual columns based on the delimiter.
      *
-     * \param [in] line String containing delimiter separated data.
+     * @param [in] line String containing delimiter separated data.
      */
     void ParseLine(const std::string& line);
 
     /**
      * Extracts the data for one column in a csv row.
      *
-     * \param begin Iterator to the first character in the row.
-     * \param end Iterator to the last character in the row.
-     * \return A tuple containing the content of the column and an iterator
+     * @param begin Iterator to the first character in the row.
+     * @param end Iterator to the last character in the row.
+     * @return A tuple containing the content of the column and an iterator
      * pointing to the position in the row where the column ended.
      */
     std::tuple<std::string, std::string::const_iterator> ParseColumn(
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/helper/event-garbage-collector.cc ns-3.44/src/core/helper/event-garbage-collector.cc
--- ns-3.43/src/core/helper/event-garbage-collector.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/helper/event-garbage-collector.cc	2025-03-09 16:55:49.355371000 -0700
@@ -8,9 +8,9 @@
 #include "event-garbage-collector.h"
 
 /**
- * \file
- * \ingroup core-helpers
- * \ingroup events
+ * @file
+ * @ingroup core-helpers
+ * @ingroup events
  * ns3::EventGarbageCollector implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/helper/event-garbage-collector.h ns-3.44/src/core/helper/event-garbage-collector.h
--- ns-3.43/src/core/helper/event-garbage-collector.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/helper/event-garbage-collector.h	2025-03-09 16:55:49.355371000 -0700
@@ -14,9 +14,9 @@
 #include <set>
 
 /**
- * \file
- * \ingroup events
- * \ingroup core-helpers
+ * @file
+ * @ingroup events
+ * @ingroup core-helpers
  * ns3::EventGarbageCollector declaration.
  */
 
@@ -24,10 +24,10 @@
 {
 
 /**
- * \ingroup events
- * \ingroup core-helpers
+ * @ingroup events
+ * @ingroup core-helpers
  *
- * \brief An object that tracks scheduled events and automatically
+ * @brief An object that tracks scheduled events and automatically
  * cancels them when it is destroyed.  It is useful in situations
  * where multiple instances of the same type of event can
  * simultaneously be scheduled, and when the events should be limited
@@ -39,8 +39,8 @@
     EventGarbageCollector();
 
     /**
-     * \brief Tracks a new event
-     * \param [in] event the Event to track
+     * @brief Tracks a new event
+     * @param [in] event the Event to track
      */
     void Track(EventId event);
 
@@ -62,19 +62,19 @@
     EventList m_events;                     //!< The tracked event list
 
     /**
-     * \brief Called when a new event was added and the cleanup limit was
+     * @brief Called when a new event was added and the cleanup limit was
      * exceeded in consequence.
      */
     void Cleanup();
     /**
-     * \brief Grow the cleanup limit.
+     * @brief Grow the cleanup limit.
      * Increase the cleanup size by the smaller of
      * the current cleanup size (exponential growth),
      * or the CHUNK_MAX_SIZE (linear growth).
      */
     void Grow();
     /**
-     * \brief Shrink the cleanup limit
+     * @brief Shrink the cleanup limit
      * Reduce the cleanup size by factors of two until less than the
      * current event list, then Grow one step.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/helper/random-variable-stream-helper.cc ns-3.44/src/core/helper/random-variable-stream-helper.cc
--- ns-3.43/src/core/helper/random-variable-stream-helper.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/helper/random-variable-stream-helper.cc	2025-03-09 16:55:49.355371000 -0700
@@ -13,9 +13,9 @@
 #include "ns3/random-variable-stream.h"
 
 /**
- * \file
- * \ingroup core-helpers
- * \ingroup randomvariable
+ * @file
+ * @ingroup core-helpers
+ * @ingroup randomvariable
  * ns3::RandomVariableStreamHelper implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/helper/random-variable-stream-helper.h ns-3.44/src/core/helper/random-variable-stream-helper.h
--- ns-3.43/src/core/helper/random-variable-stream-helper.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/helper/random-variable-stream-helper.h	2025-03-09 16:55:49.355371000 -0700
@@ -11,9 +11,9 @@
 #include <string>
 
 /**
- * \file
- * \ingroup core-helpers
- * \ingroup randomvariable
+ * @file
+ * @ingroup core-helpers
+ * @ingroup randomvariable
  * ns3::RandomVariableStreamHelper declaration.
  */
 
@@ -21,7 +21,7 @@
 {
 
 /**
- * \brief Helper class for static methods involving RandomVariableStream
+ * @brief Helper class for static methods involving RandomVariableStream
  */
 class RandomVariableStreamHelper
 {
@@ -35,25 +35,25 @@
      * The objects to match are of type PointerValue where the underlying
      * type is of type Ptr<RandomVariableStream>.
      *
-     * \code
+     * @code
      *    .AddAttribute ("Speed",
      *                "A random variable used to pick the speed of a random waypoint model.",
      *                StringValue("ns3::UniformRandomVariable[Min=0.3|Max=0.7]"),
      *                MakePointerAccessor (&RandomWaypointMobilityModel::m_speed),
      *                MakePointerChecker<RandomVariableStream> ())
      *
-     * \endcode
+     * @endcode
      *
      * Usage would look (for node 3) like this:
-     * \code
+     * @code
      * std::string path
      * ("/$ns3::NodeListPriv/NodeList/3/$ns3::Node/$ns3::RandomWaypointMobilityModel/Speed/$ns3::UniformRandomVariable");
      * int64_t retVal = RandomVariableStreamHelper::AssignStreams (path, 0);
-     * \endcode
+     * @endcode
      *
-     * \return The number of streams set
-     * \param path (possibly wildcarded) path to a RandomVariableStream PointerValue
-     * \param stream stream number to set; must be non-negative
+     * @return The number of streams set
+     * @param path (possibly wildcarded) path to a RandomVariableStream PointerValue
+     * @param stream stream number to set; must be non-negative
      */
     static int64_t AssignStreams(std::string path, int64_t stream);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/abort.h ns-3.44/src/core/model/abort.h
--- ns-3.43/src/core/model/abort.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/abort.h	2025-03-09 16:55:49.355371000 -0700
@@ -12,17 +12,17 @@
 #include "fatal-error.h"
 
 /**
- * \file
- * \ingroup fatal
- * \brief \c NS_ABORT_x macro definitions.
+ * @file
+ * @ingroup fatal
+ * @brief \c NS_ABORT_x macro definitions.
  */
 
 /**
- * \ingroup fatal
+ * @ingroup fatal
  *
- * \brief Unconditional abnormal program termination with a message.
+ * @brief Unconditional abnormal program termination with a message.
  *
- * \param [in] msg The message to output when this macro is hit.
+ * @param [in] msg The message to output when this macro is hit.
  *
  * This macro is essentially equivalent to NS_FATAL_ERROR,
  * except it prepends the error message with the string
@@ -33,7 +33,7 @@
  * This macro is enabled unconditionally in all builds,
  * including debug and optimized builds.
  *
- * \see NS_FATAL_ERROR
+ * @see NS_FATAL_ERROR
  */
 #define NS_ABORT_MSG(msg)                                                                          \
     do                                                                                             \
@@ -43,11 +43,11 @@
     } while (false)
 
 /**
- * \ingroup fatal
+ * @ingroup fatal
  *
- * \brief Abnormal program termination if a condition is \c true.
+ * @brief Abnormal program termination if a condition is \c true.
  *
- * \param [in] cond The condition to be evaluated.
+ * @param [in] cond The condition to be evaluated.
  *
  * This is similar to \c NS_ASSERT(!(cond)), except this check
  * is enabled in all builds. If \c cond is evaluated to \c true,
@@ -73,13 +73,13 @@
     } while (false)
 
 /**
- * \ingroup fatal
+ * @ingroup fatal
  *
- * \brief Abnormal program termination if a condition is \c true,
+ * @brief Abnormal program termination if a condition is \c true,
  * with a message.
  *
- * \param [in] cond The condition to be evaluated.
- * \param [in] msg The message to output when cond is \c true.
+ * @param [in] cond The condition to be evaluated.
+ * @param [in] msg The message to output when cond is \c true.
  *
  * This is similar to NS_ASSERT_MSG(!(cond)), except this
  * check is enabled in all builds. If \c cond is evaluated to
@@ -105,30 +105,30 @@
     } while (false)
 
 /**
- * \ingroup fatal
+ * @ingroup fatal
  *
- * \brief Abnormal program termination if a condition is \c false.
+ * @brief Abnormal program termination if a condition is \c false.
  *
- * \param [in] cond The condition to be evaluated.
+ * @param [in] cond The condition to be evaluated.
  *
  * This is an alias for NS_ABORT_IF(!(cond))
  *
- * \see NS_ABORT_IF
+ * @see NS_ABORT_IF
  */
 #define NS_ABORT_UNLESS(cond) NS_ABORT_IF(!(cond))
 
 /**
- * \ingroup fatal
+ * @ingroup fatal
  *
- * \brief Abnormal program termination if a condition is \c false,
+ * @brief Abnormal program termination if a condition is \c false,
  * with a message.
  *
- * \param [in] cond The condition to be evaluated.
- * \param [in] msg The message to output if cond is false.
+ * @param [in] cond The condition to be evaluated.
+ * @param [in] msg The message to output if cond is false.
  *
  * This is an alias for NS_ABORT_MSG_IF(!(cond))
  *
- * \see NS_ABORT_MSG_IF
+ * @see NS_ABORT_MSG_IF
  */
 #define NS_ABORT_MSG_UNLESS(cond, msg) NS_ABORT_MSG_IF(!(cond), msg)
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/ascii-file.h ns-3.44/src/core/model/ascii-file.h
--- ns-3.43/src/core/model/ascii-file.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/ascii-file.h	2025-03-09 16:55:49.355371000 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \brief A class representing an ascii file.
+ * @brief A class representing an ascii file.
  *
  * This class represents an ascii file
  */
@@ -30,19 +30,19 @@
     ~AsciiFile();
 
     /**
-     * \return true if the 'fail' bit is set in the underlying iostream, false otherwise.
+     * @return true if the 'fail' bit is set in the underlying iostream, false otherwise.
      */
     bool Fail() const;
     /**
-     * \return true if the 'eof' bit is set in the underlying iostream, false otherwise.
+     * @return true if the 'eof' bit is set in the underlying iostream, false otherwise.
      */
     bool Eof() const;
 
     /**
      * Create a new ascii file or open an existing ascii file.
      *
-     * \param filename String containing the name of the file.
-     * \param mode the access mode for the file.
+     * @param filename String containing the name of the file.
+     * @param mode the access mode for the file.
      */
     void Open(const std::string& filename, std::ios::openmode mode);
 
@@ -52,21 +52,21 @@
     void Close();
 
     /**
-     * \brief Read next line from file
+     * @brief Read next line from file
      *
-     * \param line    [out] line from file
+     * @param line    [out] line from file
      *
      */
     void Read(std::string& line);
 
     /**
-     * \brief Compare two ASCII files line-by-line
+     * @brief Compare two ASCII files line-by-line
      *
-     * \return true if files are different, false otherwise
+     * @return true if files are different, false otherwise
      *
-     * \param  f1         First ASCII file name
-     * \param  f2         Second ASCII file name
-     * \param  lineNumber   [out] Line number of first different line.
+     * @param  f1         First ASCII file name
+     * @param  f2         Second ASCII file name
+     * @param  lineNumber   [out] Line number of first different line.
      */
     static bool Diff(const std::string& f1, const std::string& f2, uint64_t& lineNumber);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/ascii-test.h ns-3.44/src/core/model/ascii-test.h
--- ns-3.43/src/core/model/ascii-test.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/ascii-test.h	2025-03-09 16:55:49.355371000 -0700
@@ -17,11 +17,11 @@
 #include <stdint.h>
 
 /**
- * \brief Test that a pair of new/reference ascii files are equal
+ * @brief Test that a pair of new/reference ascii files are equal
  *
- * \param gotFilename The name of the new file to read in including
+ * @param gotFilename The name of the new file to read in including
  * its path
- * \param expectedFilename The name of the reference file to read in
+ * @param expectedFilename The name of the reference file to read in
  * including its path
  */
 #define NS_ASCII_TEST_EXPECT_EQ(gotFilename, expectedFilename)                                     \
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/assert.h ns-3.44/src/core/model/assert.h
--- ns-3.43/src/core/model/assert.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/assert.h	2025-03-09 16:55:49.355371000 -0700
@@ -10,16 +10,16 @@
 #define NS_ASSERT_H
 
 /**
- * \file
- * \ingroup assert
+ * @file
+ * @ingroup assert
  * NS_ASSERT() and NS_ASSERT_MSG() macro definitions
  */
 
 /**
- * \ingroup debugging
- * \defgroup assert Assertions
+ * @ingroup debugging
+ * @defgroup assert Assertions
  *
- * \brief Assert functions and macros
+ * @brief Assert functions and macros
  *
  * The assert macros are used to verify
  * at runtime that a certain condition is true. If it is
@@ -44,13 +44,13 @@
 #include <iostream>
 
 /**
- * \ingroup assert
+ * @ingroup assert
  *
  * At runtime, in debugging builds, if this condition is not
  * true, the program prints the source file, line number and
  * unverified condition and halts by calling std::terminate
  *
- * \param [in] condition Condition to verify.
+ * @param [in] condition Condition to verify.
  */
 #define NS_ASSERT(condition)                                                                       \
     do                                                                                             \
@@ -63,14 +63,14 @@
     } while (false)
 
 /**
- * \ingroup assert
+ * @ingroup assert
  *
  * At runtime, in debugging builds, if this condition is not
  * true, the program prints the message to output and
  * halts by calling std::terminate.
  *
- * \param [in] condition Condition to verify.
- * \param [in] message Message to output
+ * @param [in] condition Condition to verify.
+ * @param [in] message Message to output
  */
 #define NS_ASSERT_MSG(condition, message)                                                          \
     do                                                                                             \
